Name:           treecc
Version:        0.3.8
Release:        9%{?dist}

Summary:        Tree Compiler Compiler

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.southern-storm.com.au/treecc.html
Source0:        http://www.southern-storm.com.au/download/treecc-0.3.8.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison >= 1.28
BuildRequires:  flex >= 2.5.4
BuildRequires:  m4
BuildRequires:  texinfo
Requires(post): info
Requires(preun): info


%description
The treecc program is designed to assist in the development of compilers
and other language-based tools.  It manages the generation of code to handle
abstract syntax trees and operations upon the trees.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}
make check


%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
rm -f $RPM_BUILD_ROOT/%{_libdir}/libtreecc.a
%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :


%preun
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> - 0.3.8-5
- Rebuilt for gcc43

* Thu Aug 23 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3.8-4
- new license tag
- rebuild for buildid

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3.8-3
- FE6 rebuild

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3.8-2
- Rebuild for Fedora Extras 5

* Thu Jan 19 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3.8-1
- same spec for all arches hence add dist
- upgrade to new version

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.3.4-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 20 2005 David Woodhouse <dwmw2@infradead.org> 0.3.4-2
- Don't package %%{_infodir}/dir

* Fri Nov 26 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.3.4-1
- 0.3.4.

* Sat Nov 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.3.2-0.fdr.2
- Clean up spec/Bump release.

* Sun Aug 08 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.

* Mon Mar 15 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3.0-0.fdr.1
- Update to 0.3.0.
- Add make check.

* Sat Nov 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2.6-0.fdr.4
- BuildReq m4.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2.6-0.fdr.3
- removed aesthetic comments.
- brought spec more in line with current template.

* Thu Jul 24 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2.6-0.fdr.2
- BuildReq texinfo.
- Req(post,preun) info.
- Changed URL.

* Fri Jul 18 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2.6-0.fdr.1
- Updated to 0.2.6.
- Removed INSTALL from doc.
- buildroot -> RPM_BUILD_ROOT.
- Correctd Group.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.2.4-0.fdr.2
- Added Epoch:0.
- Removed ldconfig from post and postun.

* Sat Mar 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.2.4-0.fdr.1
- Updated to 0.2.4.

* Mon Mar 24 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.2.2-0.fdr.2
- Cleaned up for Fedora.

* Sat Mar 08 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.2.2-0.fdr.1
- Spec cleanup.

* Thu Feb 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.2.2-1.fedora.2
- Spec cleanup.

* Fri Feb 07 2003  Phillip Compton
- Initial build.
